DraftAnakUI/urls.py
from django.conf.urls import url,include
from django.views.generic import RedirectView
import main.urls as home

urlpatterns = [
    url(r'^home/', include(home,namespace='home')),
    url(r'^$', RedirectView.as_view(url='home/', permanent=True)),
]

main/urls.py
from django.conf.urls import url
from .views import index,add_draft

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add/$', add_draft, name='add_draft'),
]

main/models.py
from django.db import models

class Draft(models.Model):

	sender = models.CharField(max_length=27)
	reciever = models.CharField(max_length=27)
	message = models.CharField(max_length=255)
	created_at = models.DateTimeField(auto_now_add=True)

	class Meta:
		ordering = ['-created_at']

main/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from django.views.decorators.csrf import csrf_exempt
from .models import Draft

response = {}

def index(request):
    response['author'] = "Naufal Ihsan Pratama"
    response['drafts'] = Draft.objects.all()
    html = 'main_app/main_app.html'
    return render(request, html, response)

def add_draft(request):
    if request.method == 'POST':
        sender   = request.POST['sender']
        reciever = request.POST['reciever']
        message  = request.POST['message']
        draft = Draft(sender=sender,reciever=reciever,message=message)
        draft.save()
        return HttpResponseRedirect('/home/')

main/templates/main_app/layout/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="Draft Anak UI">
    <meta name="author" content="{{author}}">
    <link rel="icon" href="{% static 'img/logo.png' %}">
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/form-elements.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}" />

    <!-- bootstrap csss -->

    <title>
        {% block title %} Tugas Eksplorasi Ihsan {% endblock %}
    </title>
</head>

<body>
    <header>
        {% include "main_app/partials/header.html" %}
    </header>
    <content>
            {% block content %}
                <!-- content goes here -->
            {% endblock %}
    </content>
    <footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
            {% include "main_app/partials/footer.html" %}
        {% endblock %}
    </footer>

    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="{% static 'js/jquery.backstretch.min.js' %}"></script>
    <script src="{% static 'js/scripts.js' %}"></script>
</body>
</html>

main/templates/main_app/main_app.html
{% extends "main_app/layout/base.html" %}

{% block content %}

 <div class="top-big-link">
    <a class="btn btn-link-1 launch-modal" href="#" data-modal-id="modal-login">Kirim Pesan</a>
 </div>

     <!-- MODAL -->
    <div class="modal fade" id="modal-login" tabindex="-1" role="dialog" aria-labelledby="modal-login-label" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                    </button>
                </div>
                
                <div class="modal-body">
                    <form role="form" action="{% url 'home:add_draft' %}" method="post" class="login-form">
                        {% csrf_token %}
                        <div class="form-group">
                            <label class="sr-only" for="form-username">Dari</label>
                            <input type="text" name="sender" placeholder="Dari..." class="form-username form-control" id="form-username">
                        </div>
                        <div class="form-group">
                            <label class="sr-only" for="form-username">Untuk</label>
                            <input type="text" name="reciever" placeholder="Untuk..." class="form-username form-control" id="form-username">
                        </div>
                        <div class="form-group">
                            <label class="sr-only" for="form-username">Pesan</label>
                            <input type="text" name="message" placeholder="Pesan..." class="form-username form-control" id="form-username">
                        </div>
                        <button type="submit" class="btn">Submit!</button>
                    </form>
                    
                </div>
                
            </div>
        </div>
    </div>

    {% if drafts %}
        {% for draft in drafts %}
            <div class="messageBox">
               <span><b>Dari :&nbsp; </b>{{draft.sender}}</span> 
               <span><b>Untuk:&nbsp; </b>{{draft.reciever}}</span> 
               <span><b>Pesan:&nbsp; </b>{{draft.message}}</span> 
            </div>
        {% endfor %}
    {% else %}
    <div class="alert alert-danger text-center">
        <strong>Oops!</strong> Tidak ada data Draft.
    </div>
    {% endif %}

{% endblock %}

main/templates/main_app/partials/footer.html
<!-- templates/lab_5/partials/footer.html -->
<!-- TODO, CREATE THIS FILE AND ADD copyright symbol -->
<p>Made with Love by {{author}}</p>

main/templates/main_app/partials/header.html
{% load static %}
<img src="{% static 'img/header.png' %}" >